const MiniCssExtractPlugin = require('mini-css-extract-plugin');
const path = require('path');

module.exports = {
  mode: 'production',
    entry: [
      './source/main-imports.scss'
    ],
    output: {
      filename: 'trash.js'
    },
  plugins: [
    new MiniCssExtractPlugin({
      filename: 'totalpass-bootstrap.css',
      ignoreOrder: false
    }),
  ],
  module: {
    rules: [
      {
        test: /\.scss$/,
        use: [
          MiniCssExtractPlugin.loader,
          'css-loader',
          'sass-loader?indentedSyntax'
        ]
      }
    ]
  }
};